# Frontend build
FROM node:8-alpine as static

WORKDIR /home/${LINUX_USERNAME}/itcamp.vasin.me
COPY . ./


RUN apk update && apk add git
RUN npm install
RUN npm build


# Nginx
FROM nginx:stable-alpine

COPY --from=static /home/${LINUX_USERNAME}/itcamp.vasin.me/dist /usr/share/nginx/html/
COPY .nginx /etc/nginx

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]